curl --request GET \
--url https://api.jtl-cloud.com/erp/v2/packages/{packageId}/order-data \
--header 'Authorization: Bearer <token>' \
--header 'x-tenant-id: <x-tenant-id>'import requests
url = "https://api.jtl-cloud.com/erp/v2/packages/{packageId}/order-data"
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-tenant-id': '<x-tenant-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.jtl-cloud.com/erp/v2/packages/{packageId}/order-data', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"orderId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"customerId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"companyId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"warehouseId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"shippingAddress": {
"customsDocumentsRequired": true,
"company": "<string>",
"salutation": "<string>",
"title": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"street": "<string>",
"zipCode": "<string>",
"city": "<string>",
"country": "<string>",
"phone": "<string>",
"addressSupplement": "<string>",
"addressSupplement2": "<string>",
"postId": "<string>",
"mobile": "<string>",
"mail": "<string>",
"fax": "<string>",
"state": "<string>",
"iso": "<string>"
},
"companyAddress": {
"id": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"name": "<string>",
"entrepreneur": "<string>",
"street": "<string>",
"zipCode": "<string>",
"city": "<string>",
"country": "<string>",
"phone": "<string>",
"mail": "<string>",
"iso": "<string>"
},
"warehouseAddress": {
"id": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"name": "<string>",
"shortcut": "<string>",
"description": "<string>",
"street": "<string>",
"zipCode": "<string>",
"city": "<string>",
"country": "<string>",
"phone": "<string>",
"mail": "<string>",
"addressSupplement": "<string>"
},
"deliveryNotes": [
{
"id": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"createdAt": "2023-11-07T05:31:56Z",
"number": "<string>"
}
],
"content": [
{
"id": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"number": "<string>",
"contentType": "<string>",
"amount": 123,
"weight": 123
}
],
"totalWeight": 123
}Delivers order data for a specific package
Delivers order data for a specific package
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The Company-Id (int or uuid) of the company on whose behalf the request is executed.
The tenant ID for the target ERP instance.
Path Parameters
Response
Single Row of the order data query
The Package ID of the Order
Order ID
"b45f6432-2462-4c6f-b00f-1d9d01000000"
Customer ID
"b45f6432-2462-4c6f-b00f-1d9d01000000"
Company ID
"b45f6432-2462-4c6f-b00f-1d9d01000000"
Warehouse ID
"b45f6432-2462-4c6f-b00f-1d9d01000000"
Shipping address
Show child attributes
Show child attributes
Company address
Show child attributes
Show child attributes
Warehouse address
Show child attributes
Show child attributes
List of delivery notes
Show child attributes
Show child attributes
List of package content items
Show child attributes
Show child attributes
Total weight in kg (range 0-10000)
Was this page helpful?